Cyberduck Mountain Duck CLI

#471 closed enhancement (fixed)

Type-to-select and search field ignore sub-items in outline view

Reported by: dbergey@… Owned by: dkocher
Priority: low Milestone: 3.0
Component: interface Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When using the outline view in the ftp browser, the type-to-select scope only includes files that were shown in the initial view, instead of including files exposed by expanding subdirectories.

Also please note that the search field deals with this same limited scope as well, and then forgets what subdirectories you had expanded.

I'm not sure of the exact behavior that needs to be implemented, since after expanding multiple subdirectories, there may be multiple items scattered over the view that match a typed sequence of characters.

I just moved to Cyberduck from Interarchy (since you do remember expanded subdirs' states when refreshing, and you support growl), and typing to select files has been an essential part of my workflow. I'm sure others would appreciate it as well.

Change History (6)

comment:1 Changed on Jun 15, 2006 at 3:25:41 PM by dkocher

  • Owner changed from cyberduck to dkocher
  • Status changed from new to assigned
  • Type changed from defect to enhancement

comment:2 Changed on Dec 6, 2007 at 8:24:56 PM by dkocher

  • Milestone set to 2.9
  • Summary changed from type-to-select and search field ignore sub-items in outline view to Type-to-select and search field ignore sub-items in outline view

#1369 closed as duplicate.

comment:3 Changed on Mar 17, 2008 at 11:22:43 PM by dkocher

  • Milestone 3.0 deleted
  • Priority changed from normal to low

comment:4 Changed on Apr 7, 2008 at 11:48:56 AM by dkocher

  • Milestone set to 3.0

comment:5 Changed on Apr 7, 2008 at 12:01:43 PM by dkocher

Filter includes child items as of r3710.

comment:6 Changed on Apr 7, 2008 at 8:57:51 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r3714.

Note: See TracTickets for help on using tickets.
swiss made software